package com.bonus.material.upOrDown.equipment.mapper;

import com.bonus.material.upOrDown.equipment.domain.EquipmentEntity;

import java.util.List;

public interface UpOrDownEquipmentMapper {
    List<EquipmentEntity> list(EquipmentEntity entity);

    List<EquipmentEntity> listByDown(EquipmentEntity entity);

    void downEquipmentById(Long equipmentId);

    /**
     * 批量修改装备上架状态及租赁价
     * @param list
     * @return
     */
    int upEquipmentBatch(List<EquipmentEntity>  list);

    void downEquipmentBatch(List<Long> ids);
}
